# FtpNlst

Retrieves a terse directory listing.

## SYNOPSIS

    #include <ftplib.h>
    int FtpNlst(const char *output, const char *path, netbuf *nControl);

## PARAMETERS

output
  Specifies the name of a file to receive the directory listing. If specified as NULL the directory listing will be written to stdout.
path
  Specifies an argument to 'ls' on the remote system.
nControl
  A handle returned by FtpConnect().

## DESCRIPTION

Performs a short form directory listing of the specified path on the remote system. The results are written to the specified file.

## RETURN VALUE

Returns 1 if successful or 0 on error.